#!/bin/bash

#
# RoboCup 2011 start script for 3D soccer simulation
#

AGENT_BINARY="naoth-simspark"
BINARY_DIR="./"
NUM_PLAYERS=9
killall -9 "$AGENT_BINARY" &> /dev/null

for ((i=1;i<=$NUM_PLAYERS;i++)); do
    echo "Running agent No. $i"
    "$BINARY_DIR/$AGENT_BINARY" -s $1 -n $i > log/stdout$i 2> log/stderr$i &
    sleep 2
done
